roar_vs_close(3)

NAME
roar_vs_close - Closes a VS object

SYNOPSIS

#include <roaraudio.h>

int roar_vs_close(roar_vs_t * vss, int killit, int * error);

DESCRIPTION
This function closes a open VS object. The object can be closed and pending data (mainly network and server side buffers) is played or killed so no pending data is played. The later one is useful in case of handling errors.

PARAMETERS

vss The VS object to be closed.

killit
    Specifies if the stream should be killed on the server side. Must be ROAR_VS_TRUE or ROAR_VS_FALSE.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roarvs(7), libroar(7), RoarAudio(7).